The wikis are now using the new authentication system.
If you did not migrate your account yet, visit https://idp-portal-info.suse.com/

SDB:Firefox MP4/H.264 Video Desteği

(Portal:Firefox MP4/H.264 Video Desteği sayfasından yönlendirildi)
Şuraya atla: kullan, ara

Eğer Firefox ile birtakım HTML5 ortamlarını oynatamıyorsanız, bu yazı muhtemelen size yardımcı olacaktır.

Özet

  1. Bütün ffmpeg/livav kütüphanelerini barındıran Packman deposunu ya da VLC deposunu kurunuz.
  2. libavcodec56, libavcodec57, libavformat56, libavformat57, libavdevice56, libavdevice57 paketlerini Packman veya VLC depolarından kurunuz. Aynı zamanda diğer libav paketlerini kurmanız da önerilir.
  3. Eğer daha önceden libav paketlerini openSUSE'nin resmi depolarından kurmuşsanız, Packman veya VLC depolarına geçiniz. YaST'ı kullanarak şöyle yapabilirsiniz:
    1. Paketi arayın, bulun ve seçin.
    2. "Version" (Sürüm) sekmesini paket listesinden açınız.
    3. Packman/VLC'den gelen en yeni sürümü seçiniz.
    4. Eğer herhangi bir bağımlılık sorunuyla karşılaşırsanız, Packman/VLC depolarına geçişle ilgili olan sorunu seçiniz.
    5. "Kabul et" butonuna tıklayınız ve güncellemelerinizi yapınız.
  4. Firefox'u baştan başlatın.

Daha Fazla Bilgi

Eski bir mesele olarak, MP4/H.264 İnternet'te video izlerken oldukça yaygın kullanılan bir ortak türüdür. Pek çok site HTML5 ile sunduğu videolarını yalnızca MP4 formatıyla beraber sunar, bu yüzden İnternet tarayıcınız H.264 kodeklerine sahip değilse, bu videolar yüklenemez veya oynatılamaz.


Patent sorunlarıyla başa çıkabilmek için, Firefox'da openSUSE'de H264 kodek desteğini sunmaz. Bu yüzden yeni kurulmuş bir openSUSE sisteminde bazı sitelerden video izleyemezsiniz. Neyse ki, Packman ve VLC depoları gerekli paketleri sunuyor. Eğer libav kütüphanelerini kurduysanız, Firefox sisteminizin MP4/H.264 videolarını oynatmak için uygun olduğunu anlayacaktır.

OpenSUSE libavcodec56 başta olmak üzere pek çok ffmpeg ve libab paketlerine sahiptir, fakat "etkin değillerdir". Bütün patentli paketler openSUSE'de kaldırılmıştır, bu yüzden MP4/H.264 videosunu oynatmak için yeterli paketler yoktur. Bu yüzden bahsi geçen paketleri Packman/VLC depolarında bulunan sürüme yükseltmelisiniz.

Eğer Firefox'unuzun H.264 videolarını oynatabildiğinden emin olmak istiyorsanız, şu sayfaları ziyaret edin:

Firefox için "Cisco" tarafından hazırlanmış olan "OpenH264" eklentisi var olsa da, bu eklenti ile HTML5 videolarını oynatamazsınız.

Aynı şekilde, Firefox'un VLC eklentisi HTML5 videolarını oynatamaz. Bu eklenti yalnızca web sitelerine gömülü olan VLC oynatıcısını oynatabilir.


Bir takım resmi olmayan "xine" formatını çözen Firefox eklentileri var olsa da, bu eklentiler belki bozuk olabilir. Böyle bir durumda bu eklentileri kaldırınız ve ffmpeg/libav kütüphanelerini kullanınız.

Xine kod çözücüler için gayriresmî Firefox eklentileri bozuk olabilir. Onlarla ilgili sorun yaşıyorsanız, bu eklentileri kaldırın ve bunun yerine ffmpeg / libav kullanın.